I'm pretty sure cuda support was never moved to the 1.4 series. You will, however, find it in the 1.5 series. I suggest you get the latest tarball from there.


On Oct 27, 2011, at 12:38 PM, Peter Wells wrote:

 
I am attempting to configure OpenMPI 1.4.3 with cuda support on a Redhat 5 box. When I try to run configure with the following command:
 
 ./configure --prefix=/opt/crc/sandbox/pwells2/openmpi/1.4.3/intel-12.0-cuda/ FC=ifort F77=ifort CXX=icpc CC=icc --with-sge --disable-dlopen --enable-static --enable-shared --disable-openib-connectx-xrc --disable-openib-rdmacm --without-openib --with-cuda=/opt/crc/cuda/4.0/cuda --with-cuda-libdir=/opt/crc/cuda/4.0/cuda/lib64
 
I receive the warning that '--with-cuda' and '--with-cuda-libdir' are unrecognized options. According to the FAQ these options are supported in this version of OpenMPI. I attempted the same thing with v.1.4.4 downloaded directly from open-mpi.org with similar results. Attached are the results of configure and make on v.1.4.3. Any help would be greatly appreciated.
 
Peter Wells
HPC Intern
Center for Research Computing
University of Notre Dame
pwells2@nd.edu
<ompi-output.tar.bz2>_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users